@import "variables.css";

.hero {
    display: flex;
    justify-content: space-between;
    gap: var(--space-lg);
    margin-bottom: var(--space-xl);

    @media (max-width: 768px) {
        flex-direction: column;
    }

    .titles {
        flex: 2;

        .subtitle {
            font-size: clamp(1.1rem, 10vw, 1.25rem);
        }
        
        .description {
            margin-bottom: var(--space-lg);
        }

        button:hover {
            transform: scale(1.05);
            transition: transform 0.2s;
        }
    }

    .illustration {
        flex: 1;
        display: block;
        margin-top: 1.5rem;
        max-width: 100%;
        width: 400px;
        height: 300px;
        border-radius: 20px;
        object-fit: cover;

        @media (min-width: 768px) and (max-width: 992px) {
            width: 300px;
            height: 225px;
        }
    }
}

.compare-two-element {
    display: flex;
    justify-content: center;
    gap: var(--space-xl);
    
    @media (max-width: 992px) {
        gap: var(--space-md);
    }

    @media (max-width: 768px) {
        flex-direction: column;
        align-items: center;
        gap: var(--space-lg);
    }

    .entity {
        background-color: var(--color-bg-gradient-blue-lighter);
        padding: var(--space-md) var(--space-lg);
        border-radius: 20px;

        @media (max-width: 992px) {
            padding: var(--space-md);
            
        }

        h2 {
            text-align: center;
            margin-bottom: var(--space-md);
        }

        p {
            text-align: justify;
        }
    }
}

.one-element {
    display: flex;
    flex-direction: column;
    gap: var(--space-md);
    
    .title {
        text-align: center;
    }

    .our-offer {
        display: flex;
        flex-direction: column;
        max-width: 800px;
        margin: auto;

        @media (max-width: 992px) {
            width: 80%;
        }

        @media (max-width: 480px) {
            width: 90%;
        }
    }
}

.why-us {
    background-color: var(--color-secondary);

    .title {
        text-align: center;
        padding: var(--space-lg) 0;
    }

    .benefits {
        display: flex;
        flex-direction: row;
        justify-content: center;
        flex-wrap: wrap;
        gap: var(--space-md);

        .benefit {
            width: 300px;
            text-align: center;
        }
    }
}

.CTA {
    text-align: center;

    .catch-sentence {
        margin-bottom: var(--space-md);
    }
}

.title-centered {
    text-align: center;
    margin-bottom: var(--space-md);
}

